Bug 210670 - games/stonesoup: Update to 0.18.1
Summary: games/stonesoup: Update to 0.18.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Pawel Pekala
URL:
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2016-06-28 19:13 UTC by Nikolai Lifanov
Modified: 2016-07-22 19:28 UTC (History)
2 users (show)

See Also:
vlad-fbsd: maintainer-feedback+


Attachments
games/stonesoup: 0.17.1 -> 0.18.1 (8.93 KB, patch)
2016-06-28 19:13 UTC, Nikolai Lifanov
no flags Details | Diff
games/stonesoup: 0.17.1 -> 0.18.1 (9.81 KB, patch)
2016-06-29 18:14 UTC, Nikolai Lifanov
no flags Details | Diff
games/stonesoup: 0.17.1 -> 0.18.1 (10.09 KB, patch)
2016-07-21 14:20 UTC, Nikolai Lifanov
no flags Details | Diff
games/stonesoup: 0.17.1 -> 0.18.1 and cleanups (13.74 KB, patch)
2016-07-21 19:17 UTC, Nikolai Lifanov
no flags Details | Diff
games/stonesoup: 0.17.1 -> 0.18.1 and cleanups (13.72 KB, patch)
2016-07-21 19:20 UTC, Nikolai Lifanov
no flags Details | Diff
9.3/i368/ncurses testport log (28.80 KB, text/plain)
2016-07-21 19:30 UTC, Nikolai Lifanov
no flags Details
9.3/i386/tiles testport log (44.26 KB, text/plain)
2016-07-21 19:31 UTC, Nikolai Lifanov
no flags Details
9.3/amd64/ncurses testport log (28.83 KB, text/plain)
2016-07-21 19:31 UTC, Nikolai Lifanov
no flags Details
9.3/amd64/tiles testport log (44.29 KB, text/plain)
2016-07-21 19:32 UTC, Nikolai Lifanov
no flags Details
10.3/i386/ncurses testport log (30.94 KB, text/plain)
2016-07-21 19:32 UTC, Nikolai Lifanov
no flags Details
10.3/amd64/tiles testport log (46.35 KB, text/plain)
2016-07-21 19:32 UTC, Nikolai Lifanov
no flags Details
10.3/i386/tiles testport log (46.35 KB, text/plain)
2016-07-21 19:33 UTC, Nikolai Lifanov
no flags Details
10.3/amd64/ncurses testport log (46.35 KB, text/plain)
2016-07-21 19:34 UTC, Nikolai Lifanov
no flags Details
12/amd64/ncurses testport log (31.31 KB, text/plain)
2016-07-21 19:34 UTC, Nikolai Lifanov
no flags Details
12/amd64/tiles testport log (46.76 KB, text/plain)
2016-07-21 19:35 UTC, Nikolai Lifanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolai Lifanov 2016-06-28 19:13:42 UTC
Created attachment 171919 [details]
games/stonesoup: 0.17.1 -> 0.18.1

Please update games/stonesoup to 0.18.1.
This is build and play-tested and includes minor cleanups.
Comment 1 Dmitry Marakasov freebsd_committer 2016-06-29 15:30:14 UTC
Does not build:

wiz-you.cc:1151:28: error: use of undeclared identifier '_find_xom_event_from_string'
    xom_event_type event = _find_xom_event_from_string(specs);
                           ^
1 error generated.
Comment 2 Nikolai Lifanov 2016-06-29 18:14:48 UTC
Created attachment 171953 [details]
games/stonesoup: 0.17.1 -> 0.18.1

Please see this patch. Wizard mode #ifdef closed too soon.
For upstream, wizard mode is an opt-out, so this was broken.

Question for maintainer:
Can we default to building without NOWIZARD?
Comment 3 tobias.rehbein 2016-07-09 05:20:09 UTC
> Can we default to building without NOWIZARD?

Sure, NOWIZARD was broken several times until now. While removing this option I would also remove the SOUND option as it is absolutely not what a user is expecting.

I have currently no spare time to spend on this port. In August this situation will change and I will have enough time again.

That being said, I am not playing Dungeon Crawl Stone Soup anymore and if you are willing to take over maintainership I gladly hand it over to you.

Best regards,

Tobias
Comment 4 VK freebsd_triage 2016-07-09 09:32:24 UTC
Thanks guys.

To help us track these issues better, please flag your attachments with maintainer-approval(?) (with the maintainer email address). Maintainers please flag the PRs with maintainer-feedback(+) when the feedback is requested and you respond to the issue.
Comment 5 VK freebsd_triage 2016-07-09 09:33:36 UTC
Comment on attachment 171953 [details]
games/stonesoup: 0.17.1 -> 0.18.1

Tobias, if you approve the patch please flag it with maintainer-approval(+) so we can track the issue better, with "Maintainer Approved" saved search.
Comment 6 Nikolai Lifanov 2016-07-09 19:58:35 UTC
I will gladly take this port and remove these options with next update.
Thank you for maintaining it so far.
Comment 7 Pawel Pekala freebsd_committer 2016-07-20 21:21:58 UTC
Fails to build on FreeBSD 9:
http://people.freebsd.org/~pawel/buildlogs/stonesoup-0.18.1-9amd64.log
Comment 8 Nikolai Lifanov 2016-07-20 23:13:16 UTC
I'm looking into it.
Comment 9 Nikolai Lifanov 2016-07-21 14:20:24 UTC
Created attachment 172784 [details]
games/stonesoup: 0.17.1 -> 0.18.1

Please try this patch. It fixes several issues, but now the port builds and runs for me on 9, 10, 11, and 12.
Comment 10 Nikolai Lifanov 2016-07-21 19:15:51 UTC
Since I'm assuming maintainership, here is the final version that includes the cleanups I was planning.

o change WIZARD to NOWIZARD: this follows upstream and should better
  serve majority of package users
o switch to OPTION helpers and otherwise modernize the port
o add/remove missing/unnecessary dependencies
o move "-sdl" PKGNAMESUFFIX to the slave port: according to Handbook, options
  should not change package name and this is also how other ports do it

I included a sample UPDATING entry, but it could likely be improved by someone
with a better grasp on language.

This is run-tested on: 11.0-BETA1 with SDL (tiles) and on 9.3, 11.0, and 12.0 with ncurses. This is build-tested on 9.3-i386, 9.3-amd64, 10.3-i386, 10.3-amd64, 12-amd64 with and without tiles.
Comment 11 Nikolai Lifanov 2016-07-21 19:17:54 UTC
Created attachment 172795 [details]
games/stonesoup: 0.17.1 -> 0.18.1 and cleanups
Comment 12 Nikolai Lifanov 2016-07-21 19:20:07 UTC
Created attachment 172796 [details]
games/stonesoup: 0.17.1 -> 0.18.1 and cleanups

Whoops, attach the right one...
Comment 13 Nikolai Lifanov 2016-07-21 19:30:34 UTC
Created attachment 172798 [details]
9.3/i368/ncurses testport log
Comment 14 Nikolai Lifanov 2016-07-21 19:31:06 UTC
Created attachment 172799 [details]
9.3/i386/tiles testport log
Comment 15 Nikolai Lifanov 2016-07-21 19:31:50 UTC
Created attachment 172800 [details]
9.3/amd64/ncurses testport log
Comment 16 Nikolai Lifanov 2016-07-21 19:32:12 UTC
Created attachment 172801 [details]
9.3/amd64/tiles testport log
Comment 17 Nikolai Lifanov 2016-07-21 19:32:37 UTC
Created attachment 172802 [details]
10.3/i386/ncurses testport log
Comment 18 Nikolai Lifanov 2016-07-21 19:32:58 UTC
Created attachment 172803 [details]
10.3/amd64/tiles testport log
Comment 19 Nikolai Lifanov 2016-07-21 19:33:49 UTC
Created attachment 172804 [details]
10.3/i386/tiles testport log
Comment 20 Nikolai Lifanov 2016-07-21 19:34:12 UTC
Created attachment 172805 [details]
10.3/amd64/ncurses testport log
Comment 21 Nikolai Lifanov 2016-07-21 19:34:39 UTC
Created attachment 172806 [details]
12/amd64/ncurses testport log
Comment 22 Nikolai Lifanov 2016-07-21 19:35:00 UTC
Created attachment 172807 [details]
12/amd64/tiles testport log
Comment 23 commit-hook freebsd_committer 2016-07-22 19:22:10 UTC
A commit references this bug:

Author: pawel
Date: Fri Jul 22 19:22:03 UTC 2016
New revision: 418927
URL: https://svnweb.freebsd.org/changeset/ports/418927

Log:
  - Update to version 0.18.1
  - Take over maintainership
  - Change WIZARD to NOWIZARD: this follows upstream and should better
    serve majority of package users
  - Switch to OPTION helpers and modernize the port
  - Add/remove missing/unnecessary dependencies
  - Move "-sdl" PKGNAMESUFFIX to the slave port, options should not change
    package name and this is also how other ports do it

  PR:		210670
  Submitted by:	Nikolai Lifanov
  Approved by:	maintainer

Changes:
  head/games/stonesoup/Makefile
  head/games/stonesoup/distinfo
  head/games/stonesoup/files/patch-Makefile
  head/games/stonesoup/files/patch-crash.cc
  head/games/stonesoup/files/patch-rltiles_Makefile
  head/games/stonesoup/files/patch-wiz-you.cc
  head/games/stonesoup/pkg-plist
  head/games/stonesoup-sdl/Makefile
Comment 24 commit-hook freebsd_committer 2016-07-22 19:25:12 UTC
A commit references this bug:

Author: pawel
Date: Fri Jul 22 19:24:45 UTC 2016
New revision: 418928
URL: https://svnweb.freebsd.org/changeset/ports/418928

Log:
  Add information about games/stonesoup option organization change

  PR:		210670
  Submitted by:	Nikolai Lifanov

Changes:
  head/UPDATING